Bug 1852962 (CVE-2020-15780) - CVE-2020-15780 kernel: lockdown: bypass through ACPI write via acpi_configfs
Summary: CVE-2020-15780 kernel: lockdown: bypass through ACPI write via acpi_configfs
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15780
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1857894 (view as bug list)
Depends On: 1852963 1852965 1852966 1852968 1852969 1852970 1852971 1852972 1852973
Blocks: 1850607 1857896
TreeView+ depends on / blocked
 
Reported: 2020-07-01 16:33 UTC by Petr Matousek
Modified: 2021-02-16 19:43 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in how the ACPI table loading through acpi_configfs was handled when the kernel was locked down. This flaw allows a (root) privileged local user to circumvent the kernel lockdown restrictions. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-07-29 19:28:02 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3218 0 None None None 2020-07-29 18:29:27 UTC
Red Hat Product Errata RHSA-2020:3219 0 None None None 2020-07-29 18:30:16 UTC
Red Hat Product Errata RHSA-2020:3222 0 None None None 2020-07-29 19:37:48 UTC
Red Hat Product Errata RHSA-2020:3228 0 None None None 2020-07-29 20:17:13 UTC

Description Petr Matousek 2020-07-01 16:33:35 UTC
A flaw was found in the way ACPI table loading through acpi_configfs was handled when the kernel was locked down. A (root) privileged local user could use this flaw to circumvent the kernel lockdown restrictions.

Comment 1 Petr Matousek 2020-07-01 16:33:40 UTC
Statement:

This issue is rated as having Moderate impact because of the privileges required for exploitation.

Comment 4 Petr Matousek 2020-07-01 16:35:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1852963]

Comment 7 Petr Matousek 2020-07-03 06:41:41 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 10 Justin M. Forbes 2020-07-10 15:19:23 UTC
This is fixed for Fedora with the 5.7.7 stable kernel updates.

Comment 11 Guilherme de Almeida Suckevicz 2020-07-17 12:37:34 UTC
*** Bug 1857894 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2020-07-29 18:29:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3218 https://access.redhat.com/errata/RHSA-2020:3218

Comment 13 errata-xmlrpc 2020-07-29 18:30:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3219 https://access.redhat.com/errata/RHSA-2020:3219

Comment 14 Product Security DevOps Team 2020-07-29 19:28:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15780

Comment 15 errata-xmlrpc 2020-07-29 19:37:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3222 https://access.redhat.com/errata/RHSA-2020:3222

Comment 16 errata-xmlrpc 2020-07-29 20:17:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3228 https://access.redhat.com/errata/RHSA-2020:3228


Note You need to log in before you can comment on or make changes to this bug.